89 Commits

Author SHA1 Message Date
Thomas Dinges
a824d05e39 Merge branch 'develop' 2026-03-17 14:53:11 +01:00
Thomas Dinges
8327356de4 Release cards: Update for 5.1 2026-03-17 14:52:24 +01:00
Sebastian Parborg
3abd779df2 Hooks: Simplify deny_binary commit iteration logic 2026-03-13 18:44:09 +01:00
Sebastian Parborg
f0357e8394 Hooks: Update deny_binary to correctly handle pushes to new repos
Before, the hook would allow pushing binary files to newly created empty
repos. Now we handle and test this in our test suite.
2026-03-13 18:23:19 +01:00
Thomas Dinges
8322d84db6 Merge branch 'develop' 2026-03-13 10:49:09 +01:00
Thomas Dinges
646b11c31f Update release card for 5.1 rc 2026-03-13 10:48:52 +01:00
Thomas Dinges
89064739e5 Merge branch 'develop' 2026-02-06 08:44:56 +01:00
Thomas Dinges
782ed21709 Release Card: Update for 5.1 Beta / 5.2 LTS Alpha 2026-02-06 08:44:24 +01:00
Thomas Dinges
93ee6aa463 Merge branch 'develop' 2026-02-04 14:11:21 +01:00
Thomas Dinges
5451020a14 Projects: Add Looptools 2026-02-04 14:11:02 +01:00
Bart van der Braak
4c9690a353 Hooks: Rename directory and deny binary script (#20)
To make it more consistent with other hook scripts and we also rename `docker-compose.yml` to `compose.yml`

Reviewed-on: https://projects.blender.org/infrastructure/gitea-custom/pulls/20
2026-01-14 15:13:14 +01:00
Bart van der Braak
2d2d1db041 Git Hooks: Fix and test binary file moves (#19)
Co-authored-by: Sebastian Parborg <sebastian@blender.org>
Reviewed-on: https://projects.blender.org/infrastructure/gitea-custom/pulls/19
2026-01-14 15:06:11 +01:00
Bart van der Braak
30e7d38d2e Git Hooks: Add tests documentation and update image tag 2026-01-14 14:18:29 +01:00
Bart van der Braak
3433254eb4 Git Hooks: Fix permission issues 2025-12-18 13:05:25 +01:00
Bart van der Braak
413453ad19 Git Hooks: Add Docker test setup and update documentation 2025-12-18 12:59:18 +01:00
Bart van der Braak
681099734f Templates: Merge default merge message templates from blender-devops 2025-12-18 11:44:50 +01:00
Bart van der Braak
053119419c Git Hooks: Merge hook scripts and tests from blender-devops 2025-12-18 11:44:03 +01:00
Thomas Dinges
620838eea7 Merge branch 'develop' 2025-11-18 17:22:28 +01:00
Thomas Dinges
e857e53318 Cards: Update for 5.0 release 2025-11-18 17:22:11 +01:00
Bart van der Braak
72a6c9031d Navbar: Add media query to prevent overflow (#17)
Reviewed-on: https://projects.blender.org/infrastructure/gitea-custom/pulls/17
2025-11-13 17:35:49 +01:00
Thomas Dinges
9f98e45080 Release: 5.0 RC 2025-11-12 16:54:05 +01:00
Thomas Dinges
1babcc9882 Cards: Update projects 2025-10-27 10:32:07 +01:00
Thomas Dinges
840f0a8163 Cards: Update projects 2025-10-16 11:31:55 +02:00
Thomas Dinges
ae241331a5 Cards: Update front page for 5.1 2025-10-08 12:08:47 +02:00
Thomas Dinges
9130abd04e Projects: Fix wrong URL for BAT 2025-09-08 16:07:58 +02:00
Thomas Dinges
cb9316472d Projects: Update cards 2025-09-08 15:23:38 +02:00
Thomas Dinges
ed4ea6386a Projects: Update card 2025-09-08 14:41:07 +02:00
Bart van der Braak
27884e4b65 Add link to Code Paste service at the top of page 2025-07-28 13:04:14 +02:00
Bart van der Braak
b18f79aefe Add override for maximum height of textareas in new issues 2025-07-27 22:36:18 +02:00
Bart van der Braak
bb5c914360 Add more opacity to issues button when inactive 2025-07-25 15:56:05 +02:00
Bart van der Braak
2e270d06fd Change background of project card
Fixes infrastructure/meta#145
2025-07-25 15:02:31 +02:00
Bart van der Braak
609e1fe10f Apply textarea height increase to new issues in Blender repository only 2025-07-24 12:02:57 +02:00
Bart van der Braak
fb02e98826 Increase minimum height of textarea when creating issues
See: https://projects.blender.org/infrastructure/meta/issues/144
2025-07-19 15:49:51 +02:00
Thomas Dinges
72af28cc14 Projects: Remove Vulkan and Slotted actions 2025-07-17 14:19:23 +02:00
Thomas Dinges
7251b98c56 Release card: Update for 4.5 LTS 2025-07-15 14:42:30 +02:00
Thomas Dinges
96eb059985 Projects Card: Add hair dynamics 2025-07-14 08:29:27 +02:00
Thomas Dinges
36d03f7805 Cards: Bump 4.5 to RC 2025-07-09 12:40:32 +02:00
Bart van der Braak
ed853bc483 Revert "Announcement for Blender Projects changing its Git SSH domain (#15)" (#16)
This reverts commit 65573b27f6.

Reviewed-on: https://projects.blender.org/infrastructure/gitea-custom/pulls/16
2025-07-01 12:10:44 +02:00
Thomas Dinges
c2d04a35b9 Projects: Update Story Tools, remove NPR. 2025-06-19 14:55:49 +02:00
Bart van der Braak
65573b27f6 Announcement for Blender Projects changing its Git SSH domain (#15)
I've added an announcement using Gitea styling:
- Date of switchover (still needs to be determined)
- Commands to update Git Remote
- Link to DevTalk announcement post
- JavaScript to be able to dismiss the banner indefinitely (using Key-Value saved in browser LocalStorage)

Reviewed-on: https://projects.blender.org/infrastructure/gitea-custom/pulls/15
2025-06-17 17:45:49 +02:00
Thomas Dinges
9f13fd84f5 Merge branch 'develop' 2025-06-04 14:49:58 +02:00
Thomas Dinges
315d129a31 Release: Update cards for 4.5 beta and 5.0 alpha 2025-06-04 14:49:37 +02:00
Oleg Komarov
e696fea64c Merge branch 'develop' 2025-04-03 13:45:29 +02:00
Márton Lente
17a8c0cb76 UI: Add template style overrides for user badges 2025-04-03 13:09:35 +02:00
Márton Lente
709320bd61 UI: Add template style overrides for user badges 2025-04-03 13:09:10 +02:00
Thomas Dinges
87b323e694 Merge branch 'develop' 2025-04-01 11:46:29 +02:00
Thomas Dinges
47078285e9 Projects: Add UV Sync project 2025-04-01 11:46:12 +02:00
Thomas Dinges
a226af559b Merge branch 'develop' 2025-04-01 09:54:29 +02:00
Thomas Dinges
11d26d24b5 Modules: Rename Platforms module 2025-04-01 09:53:52 +02:00
Thomas Dinges
c1eaa5a951 Merge branch 'develop' 2025-03-18 14:11:40 +01:00
Thomas Dinges
6a8d5be40c Cards: Update for 4.4 release 2025-03-18 14:11:17 +01:00
Thomas Dinges
1485618b83 Merge branch 'develop' 2025-03-12 12:34:31 +01:00
Thomas Dinges
b11c1ba3ae Cards: Update 4.4 to RC 2025-03-12 12:34:04 +01:00
Dalai Felinto
07d6cd160e Merge remote-tracking branch 'origin/develop' 2025-03-04 17:04:40 +01:00
Dalai Felinto
c836ad5410 Remote Assets: Point Under Development to the board
Reviewed-on: https://projects.blender.org/infrastructure/gitea-custom/pulls/14
2025-03-04 17:04:22 +01:00
Thomas Dinges
0b3ac69225 Merge branch 'develop' 2025-02-24 18:01:52 +01:00
Thomas Dinges
53501de51f Projects: Fix issue id for story tools. 2025-02-24 18:01:17 +01:00
Thomas Dinges
cfc21ef106 Merge branch 'develop' 2025-02-24 17:54:37 +01:00
Thomas Dinges
8bcd2baf7f Projects: Add Story Tools: VSE Sequence 2025-02-24 17:54:00 +01:00
Pablo Vazquez
b2370abbd6 Merge branch 'develop' 2025-02-24 12:16:43 +01:00
Pablo Vazquez
a4844c21ad UI: Markup: Slight highlight on strong and headings
Slight highlight on strong and heading elements, to improve
readability.

On dark themes they display slightly lighter. On light themes there
isn't much of a difference (they're already pure black).
2025-02-24 12:14:53 +01:00
Pablo Vazquez
418f600c18 UI: Align emoji in markup
Middle-align emoji in markup, for example when used in headings.
2025-02-24 12:07:30 +01:00
Márton Lente
5984bae2b9 Fix: Style navbar dropdown item flex justification for browser Chrome globally
Fix style navbar dropdown item flex justification for browser Chrome in all
themes.
2025-02-24 12:06:43 +01:00
Márton Lente
abc91b5a95 Revert "Fix: Style navbar dropdown item flex justification for browser Chrome"
This reverts commit a60d4f1b7e.
2025-02-24 12:06:35 +01:00
Márton Lente
58b236e323 UI: Map style variable color-accent to existing color-primary definition
Part of  infrastructure/blender-projects-platform#133
2025-02-24 12:06:28 +01:00
Márton Lente
381b1d116a Fix: Theme milestone progress bar statuses not rendered correctly
Fixes Milestones progress bar statuses not rendered correctly after Gitea
1.23.x update. Maps explicit styling values for progress bars to existing colours.
Part of infrastructure/blender-projects-platform#133
2025-02-24 12:06:08 +01:00
Márton Lente
db83e38963 Revert "Fix: Theme milestone progress bar statuses not rendered correctly"
This reverts commit a705ab8ab4.
2025-02-24 12:06:01 +01:00
Márton Lente
063323eb74 Fix: Style navbar dropdown item flex justification for browser Chrome 2025-02-24 12:05:52 +01:00
Márton Lente
36983de723 Fix: Theme milestone progress bar statuses not rendered correctly
Fixes Milestones progress bar statuses not rendered correctly after Gitea
1.23.x update. Adds explicit styling for progress bars, using theme colours.
Fixes #133
2025-02-24 12:05:31 +01:00
Pablo Vazquez
74208b0f32 UI: Align emoji in markup
Middle-align emoji in markup, for example when used in headings.
2025-02-24 11:45:55 +01:00
Márton Lente
4e09d8e7bf Fix: Style navbar dropdown item flex justification for browser Chrome globally
Fix style navbar dropdown item flex justification for browser Chrome in all
themes.
2025-02-17 19:22:25 +01:00
Márton Lente
fcfcc48fce Revert "Fix: Style navbar dropdown item flex justification for browser Chrome"
This reverts commit a60d4f1b7e.
2025-02-17 19:17:44 +01:00
Márton Lente
2d9abfbf2d UI: Map style variable color-accent to existing color-primary definition
Part of  infrastructure/blender-projects-platform#133
2025-02-17 19:00:42 +01:00
Márton Lente
c2131fea1e Fix: Theme milestone progress bar statuses not rendered correctly
Fixes Milestones progress bar statuses not rendered correctly after Gitea
1.23.x update. Maps explicit styling values for progress bars to existing colours.
Part of infrastructure/blender-projects-platform#133
2025-02-17 18:58:27 +01:00
Márton Lente
a088c9e2b6 Revert "Fix: Theme milestone progress bar statuses not rendered correctly"
This reverts commit a705ab8ab4.
2025-02-17 18:37:04 +01:00
Márton Lente
a60d4f1b7e Fix: Style navbar dropdown item flex justification for browser Chrome 2025-02-17 17:14:43 +01:00
Márton Lente
a705ab8ab4 Fix: Theme milestone progress bar statuses not rendered correctly
Fixes Milestones progress bar statuses not rendered correctly after Gitea
1.23.x update. Adds explicit styling for progress bars, using theme colours.
Fixes #133
2025-02-17 15:10:17 +01:00
Bart van der Braak
0993a08790 Delete options/locale/locale_en-US.ini (#13)
Add any changes in upstream fork

Reviewed-on: https://projects.blender.org/infrastructure/gitea-custom/pulls/13
2025-02-14 14:46:00 +01:00
Thomas Dinges
7076ec07d6 Card Projects: Update link for remote asset library 2025-02-13 16:29:04 +01:00
Thomas Dinges
8954d46c6f Project Card: Add Project Setup and sort alphabetically 2025-02-11 11:48:39 +01:00
Thomas Dinges
2ce9af9657 Cards: Update animation project 2025-02-06 14:51:38 +01:00
Thomas Dinges
050076dcb4 Cards: Add 4.5 LTS and remove code quality project 2025-02-05 11:28:16 +01:00
Márton Lente
87c73fef69 Fix: Template nav global icon dropdown toggle
Change to inline SVG dropdown icon in navbar since project doesn't use Web
Assets' icon set.
Part of #9
2025-02-04 10:32:47 +01:00
Márton Lente
9eae45125d UI: Upgrade nav-global to web-assets v2 component (#9)
This pull request upgrades navigation global's markup and styles to Web Assets v2 pre-compiled _nav-global_ component, to improve visual consistency with other sites.

The Web Assets v2 _nav-global_ component brings UI fixes, spacing improvements and variable naming changes and cleanup to the navigation bar.

Co-authored-by: Pablo Vazquez <pablo@blender.org>
Co-authored-by: Thomas Dinges <thomas@blender.org>
Co-authored-by: Bastien Montagne <bastien@blender.org>
Reviewed-on: https://projects.blender.org/infrastructure/gitea-custom/pulls/9
2025-02-04 10:32:47 +01:00
Bart van der Braak
0429b45190 Add custom default locale (#11)
We have altered the text in `password_username_disabled` from upstream.

Reviewed-on: https://projects.blender.org/infrastructure/gitea-custom/pulls/11
2025-01-29 14:02:30 +01:00
Thomas Dinges
f7a1427a3a Merge branch 'develop' 2024-12-06 15:28:53 +01:00
Thomas Dinges
400b97460e Projects: Update link for NPR 2024-12-06 15:28:31 +01:00
Thomas Dinges
0b70b97234 Merge branch 'develop' 2024-12-06 11:00:19 +01:00
Thomas Dinges
076a739b0f Projects: Update ongoing projects 2024-12-06 11:00:06 +01:00
29 changed files with 1020 additions and 21 deletions

View File

@@ -0,0 +1,5 @@
${CommitTitle}
${CommitBody}
Pull Request: https://projects.blender.org/infrastructure/blender-devops/pulls/${PullRequestIndex}

View File

@@ -0,0 +1,3 @@
${PullRequestTitle}
Pull Request: https://projects.blender.org/infrastructure/blender-devops/pulls/${PullRequestIndex}

1
hooks/.gitignore vendored Normal file
View File

@@ -0,0 +1 @@
test/**/tmp

80
hooks/README.md Normal file
View File

@@ -0,0 +1,80 @@
# Git Hooks
## Tests
For our `deny_binary` Git hook, we have several test cases. They can be run locally:
```bash
$ ./test/run_deny_binary_tests.sh
== Running tests in directory deny_binary ==
Running 10_initial_text_file_test.sh... ok
Running 11_add_text_file_test.sh... ok
Running 20_initial_binary_file_test.sh... ok
Running 21_add_binary_file_test.sh... ok
Running 22_add_suspicious_binary_file_test.sh... ok
Running 30_add_binary_lfs_file_test.sh... ok
Running 40_add_binary_file_and_convert_test.sh... ok
Running 50_migrate_legacy_file_to_lfs_test.sh... ok
Running 51_move_legacy_file_with_binary.sh... ok
All tests passed.
```
Or they can be run using the Gitea image to do end-to-end testing (see `compose.yml` for changing the image).
```bash
$ docker compose up
...
Attaching to gitea_deny_binary_tests
gitea_deny_binary_tests | == Running tests in directory deny_binary ==
gitea_deny_binary_tests | Running 10_initial_text_file_test.sh... ok
gitea_deny_binary_tests | Running 11_add_text_file_test.sh... ok
gitea_deny_binary_tests | Running 20_initial_binary_file_test.sh... ok
gitea_deny_binary_tests | Running 21_add_binary_file_test.sh... ok
gitea_deny_binary_tests | Running 22_add_suspicious_binary_file_test.sh... ok
gitea_deny_binary_tests | Running 30_add_binary_lfs_file_test.sh... ok
gitea_deny_binary_tests | Running 40_add_binary_file_and_convert_test.sh... ok
gitea_deny_binary_tests | Running 50_migrate_legacy_file_to_lfs_test.sh... ok
gitea_deny_binary_tests | Running 51_move_legacy_file_with_binary.sh... ok
gitea_deny_binary_tests | All tests passed.
gitea_deny_binary_tests exited with code 0
```
## Reject Merge Commits
The `blender_merged_hook` script rejects merge commits to branches were we don't want them. It is installed as an `pre-receive` hook in the following repositories:
- `blender/blender`
- `blender/blender-addons`
- `blender/blender-addons-contrib`
- `blender/blender-assets`
- `blender/blender-benchmarks`
- `blender/blender-developer-docs`
- `blender/blender-manual`
- `blender/blender-test-data`
- `blender/lib-linux_x64`
- `blender/lib-macos_arm64`
- `blender/lib-macos_x64`
- `blender/lib-source`
- `blender/lib-windows_arm64`
- `blender/lib-windows_x64`
- `brecht/test-hooks`
## Deny Binary Files
The `deny_binary` script rejects commit that add binary files that should have been tracked as Git LFS object instead. We also provide some tests, which can be run using Docker Compose inside our Gitea container image. It has been installed as a `pre-receive` hook in the following repositories:
- `blender/blender`
- `blender/blender-assets`
- `blender/blender-benchmarks`
- `blender/blender-developer-docs`
- `blender/blender-manual`
- `blender/blender-test-data`
- `blender/lib-linux_x64`
- `blender/lib-macos_arm64`
- `blender/lib-macos_x64`
- `blender/lib-source`
- `blender/lib-windows_arm64`
- `blender/lib-windows_x64`
- `studio/dogwalk`
To circumvent the rejection you can add `override restrictions` anywhere in the commit message.

116
hooks/blender_merge_hook Executable file
View File

@@ -0,0 +1,116 @@
#!/bin/bash -eu
#
# Blender: modified version of update.sample in hooks directory to:
# - Deny merge commits to release branches
# - Deny merge of non-release branches to main
#
# This indirectly checks for accidentally merging main into release
# branches, as main is almost certain to contain merge commits not
# in the release branch.
#
# To enable this hook, rename this file to "pre-receive" or place it in
# an "pre-receive.d" folder.
# No revision indicator.
zero_revision="0000000000000000000000000000000000000000"
# Check if we need to verify merge commits for this branch.
need_verify_merge_commit()
{
local branch="$1"
local old_revision="$2"
if [ "$old_revision" = "$zero_revision" ]; then
# New branch, always ok to push.
false
elif [ "$branch" = "main" ]; then
# Some merge commits allowed in main branch.
true
elif (echo "${branch}" | grep -Eq ^blender-v[0-9]\.[0-9][0-9]?-release$); then
# No merge commits in release branch.
true
else
false
fi
}
# Check if this is an invalid merge commit.
is_invalid_merge_commit()
{
local branch="$1"
local revision="$2"
# Detect if this revision is a merge commit. It's based on the commit merge
# message which is weak, but not clear how to do it otherwise.
if git show -s --format=%B ${revision} | grep -Eq "Merge (remote-tracking )?branch '"; then
if (echo "${branch}" | grep -Eq ^blender-v[0-9]\.[0-9][0-9]?-release$); then
# In release branch, all merge commits are invalid.
true
elif [ "$branch" = "main" ]; then
# In main branch, only merge commits from release branches.
if git show -s --format=%B ${revision} | grep -Eq "Merge (remote-tracking )?branch '(origin\/)?blender-v[0-9]\.[0-9][0-9]?-release'"; then
false
else
true
fi
else
false
fi
else
false
fi
}
# Read stdin for ref information.
while read oldrev newrev refname; do
# Detect type of update.
if [ "$newrev" = "$zero_revision" ]; then
newrev_type=delete
else
newrev_type=$(git cat-file -t $newrev)
fi
case "$refname","$newrev_type" in
refs/tags/*,commit)
# un-annotated tag
;;
refs/tags/*,delete)
# delete tag
;;
refs/tags/*,tag)
# annotated tag
;;
refs/heads/*,commit)
# branch
branch=${refname##refs/heads/}
if need_verify_merge_commit "$branch" "$oldrev"; then
for r in $(test "$oldrev" = $zero_revision \
&& git rev-list $newrev \
|| git rev-list $newrev ^$oldrev); do
is_invalid_merge_commit ${branch} ${r} && {
printf "error: *** %s\n" \
"You may only merge release branches into main, no other merge commits are allowed." \
"See Blender's release branch developer documentation for details." >&2
exit 1
}
done
fi
;;
refs/heads/*,delete)
# delete branch
;;
refs/remotes/*,commit)
# tracking branch
;;
refs/remotes/*,delete)
# delete tracking branch
;;
*)
# Anything else (is there anything else?)
;;
esac
done
exit 0

9
hooks/compose.yml Normal file
View File

@@ -0,0 +1,9 @@
services:
gitea_deny_binary_tests:
image: ghcr.io/blender/gitea:v1.25.3
container_name: gitea_deny_binary_tests
working_dir: /workspace
command: bash -c "./test/run_deny_binary_tests.sh"
volumes:
- ./:/workspace
user: root

110
hooks/deny_binary Executable file
View File

@@ -0,0 +1,110 @@
#!/bin/bash -eu
#
# Reject commits with binary files, which should have used LFS instead. Allow
# overriding when "override restrictions" is in the commit message.
#
# To enable this hook, rename this file to "pre-receive" or place it in
# a "pre-receive.d" folder.
# Use 'strict mode': http://redsymbol.net/articles/unofficial-bash-strict-mode/
set -o pipefail
nullsha="0000000000000000000000000000000000000000"
status=0
# This is the message to include in your commit to override.
commit_override_msg="override restrictions"
handle_pipefails() {
# ignore exit code 141 from simple command pipes
# - use with: cmd1 | cmd2 || handle_pipefails $?
(( $1 == 141 )) && return 0
return $1
}
# Read stdin for ref information.
while read oldrev newrev refname; do
# Skip branch deletions.
if [ "$newrev" = "$nullsha" ]; then
continue
fi
if [ "$oldrev" = "$nullsha" ]; then
if [ $(git rev-parse HEAD) = "HEAD" ]; then
# Iterate over all commits if there is no HEAD.
# This happens when the repo has just been initalized
rev_range=${newrev}
else
# Don't iterate over any commits already in the default branch of the repo
rev_range=HEAD..${newrev}
fi
else
rev_range=${oldrev}..${newrev}
fi
# Check for branches and tags, but not pull requests in refs/pull. Otherwise Gitea
# fails to create a pull request without explaining why.
if [[ "$refname" == refs/heads/* ]]; then
:
elif [[ "$refname" == refs/tags/* ]]; then
:
else
exit 0
fi
# Loop over each commit.
for commit in $(git rev-list --objects ${rev_range} --filter=object:type=commit); do
# Get list of potentially binary files in this commit
mapfile -t binary_files < <(
git log --diff-filter=d --pretty=format:%H -M100% --numstat ${commit}^! |
awk -F'\t' '$1=="-" && $2=="-" {print $3}'
)
if [ ${#binary_files[@]} -eq 0 ]; then
continue
fi
# Check for override message
override=0
if git log --pretty=format:%B ${commit}^! | grep -qi "${commit_override_msg}"; then
override=1
fi
rejected_files=()
for file in "${binary_files[@]}"; do
if [[ $file == *" => "* ]]; then
# If the name contains " => " then this probably means the file was moved.
# If it was just moved, then it must still be a binary file.
rejected_files+=("$file")
continue
fi
# Check if it's an LFS pointer
# Use handle_pipefails as we may run into SIGPIPE error code
if git show "${commit}:${file}" | git lfs pointer --check --stdin || handle_pipefails $?; then
continue
fi
rejected_files+=("$file")
done
if [ ${#rejected_files[@]} -gt 0 ]; then
if [ "$override" -gt 0 ]; then
echo "Your push contains binary files but was accepted because of override commit message:"
else
status=1
echo "Your push was rejected because it contains binary files not tracked by Git LFS:"
fi
echo "Commit: $commit"
for file in "${rejected_files[@]}"; do
echo "File: $file"
done
fi
done
done
if [ "$status" -ne "0" ]; then
echo
echo "You must make sure that the binary files are tracked with Git LFS or seek help from the repo administrators."
echo "(Perhaps you did not setup Git LFS with 'git lfs install'?)"
echo
fi
exit $status

17
hooks/notice Executable file
View File

@@ -0,0 +1,17 @@
#!/bin/sh
REPO_PATH=$(pwd)
REPO_NAME=$(basename "$REPO_PATH" .git)
ORG_NAME=$(basename "$(dirname "$REPO_PATH")")
NEW_SERVER="git.blender.org"
echo ""
echo "*********************************************************************************"
echo "* IMPORTANT NOTICE *"
echo "* Blender Projects is moving its Git SSH domain to git.blender.org! *"
echo "* If you haven't already, please update your Git remote to use the *"
echo "* git@git.blender.org host instead of the git@projects.blender.org one. *"
echo "* *"
echo "* More information: https://devtalk.blender.org/t/-/41098 *"
echo "*********************************************************************************"
echo ""

View File

@@ -0,0 +1,45 @@
# Run single test provided via $1.
# Prints "ok" on success, "FAIL" on failure, and returns the appropriate status code.
run_test() {
local TEST_SCRIPT=$1
printf '%s' "Running $(basename "${TEST_SCRIPT}")... "
# Run test silently.
# Return 0 on success, 1 on failure.
if "${TEST_SCRIPT}" > /dev/null 2>&1; then
echo "ok"
return 0
else
echo "FAIL"
return 1
fi
}
# Run all tests in the given directory (specified as $1).
# All .sh tests are executed in sorted order.
# The script reports how many tests failed and exits with non-zero status if any did.
run_tests_in_directory() {
local DIR=$1
local failed=0
echo "== Running tests in directory $(basename "${DIR}") =="
# Iterate over all .sh files and run them one by one.
for test_script in $(ls "${DIR}" | sort); do
case "${test_script}" in
*.sh)
if ! run_test "${DIR}/${test_script}"; then
failed=$((failed + 1))
fi
;;
esac
done
# After running all tests, report overall result.
if [ "$failed" -ne 0 ]; then
echo "$failed test(s) failed."
exit 1
else
echo "All tests passed."
fi
}

View File

@@ -0,0 +1,31 @@
#!/bin/sh
# Test: create text file in the empty repository and try to push it.
#
# It is expected to pass as it is perfectly nomial usage of Git for text
# based files.
set -e
SCRIPT=$(readlink -f "$0")
SCRIPT_PATH=$(dirname "$SCRIPT")
. ${SCRIPT_PATH}/functions
setup_temp_git_identity
ORIGIN_REPO_DIR=`setup_bare_origin_repository`
WORK_GIT_DIR=`clone_repository "${ORIGIN_REPO_DIR}"`
install_hook "${ORIGIN_REPO_DIR}" "${SCRIPT_PATH}/../../deny_binary" "pre-receive"
echo "Hello, World!" > "${WORK_GIT_DIR}/README.txt"
git -C "${WORK_GIT_DIR}" add README.txt
git -C "${WORK_GIT_DIR}" commit --message "Initial commit"
if ! git -C "${WORK_GIT_DIR}" push; then
exit 1
fi
echo
echo "Test passed!"
exit 0

View File

@@ -0,0 +1,38 @@
#!/bin/sh
# Test: add text file to the existing repository and try to push it.
#
# It is expected to pass as it is perfectly nomial usage of Git for text
# based files.
set -e
SCRIPT=$(readlink -f "$0")
SCRIPT_PATH=$(dirname "$SCRIPT")
. ${SCRIPT_PATH}/functions
setup_temp_git_identity
ORIGIN_REPO_DIR=`setup_bare_origin_repository`
WORK_GIT_DIR=`clone_repository "${ORIGIN_REPO_DIR}"`
install_hook "${ORIGIN_REPO_DIR}" "${SCRIPT_PATH}/../../deny_binary" "pre-receive"
echo "Hello, World!" > "${WORK_GIT_DIR}/README.txt"
git -C "${WORK_GIT_DIR}" add README.txt
git -C "${WORK_GIT_DIR}" commit --message "Initial commit"
if ! git -C "${WORK_GIT_DIR}" push; then
exit 1
fi
echo "Hello, World!" > "${WORK_GIT_DIR}/NOTES.txt"
git -C "${WORK_GIT_DIR}" add NOTES.txt
git -C "${WORK_GIT_DIR}" commit --message "Add file"
if ! git -C "${WORK_GIT_DIR}" push; then
exit 1
fi
echo
echo "Test passed!"
exit 0

View File

@@ -0,0 +1,30 @@
#!/bin/sh
# Test: Add binary file to an empty repository and try to push.
#
# It should fail as we should block binary files from be pushed.
set -e
SCRIPT=$(readlink -f "$0")
SCRIPT_PATH=$(dirname "$SCRIPT")
. ${SCRIPT_PATH}/functions
setup_temp_git_identity
ORIGIN_REPO_DIR=`setup_bare_origin_repository`
WORK_GIT_DIR=`clone_repository "${ORIGIN_REPO_DIR}"`
install_hook "${ORIGIN_REPO_DIR}" "${SCRIPT_PATH}/../../deny_binary" "pre-receive"
dd if=/dev/zero of="${WORK_GIT_DIR}/data.bin" bs=1 count=32k
git -C "${WORK_GIT_DIR}" add data.bin
git -C "${WORK_GIT_DIR}" commit --message "Initial commit"
if git -C "${WORK_GIT_DIR}" push; then
exit 1
fi
echo
echo "Test passed!"
exit 0

View File

@@ -0,0 +1,38 @@
#!/bin/sh
# Test: add binary file to the existing repository and try to push it.
#
# This test is expected to fail as new binary files are expected to be
# using Git LFS.
set -e
SCRIPT=$(readlink -f "$0")
SCRIPT_PATH=$(dirname "$SCRIPT")
. ${SCRIPT_PATH}/functions
setup_temp_git_identity
ORIGIN_REPO_DIR=`setup_bare_origin_repository`
WORK_GIT_DIR=`clone_repository "${ORIGIN_REPO_DIR}"`
install_hook "${ORIGIN_REPO_DIR}" "${SCRIPT_PATH}/../../deny_binary" "pre-receive"
echo "Hello, World!" > "${WORK_GIT_DIR}/README.txt"
git -C "${WORK_GIT_DIR}" add README.txt
git -C "${WORK_GIT_DIR}" commit --message "Initial commit"
if ! git -C "${WORK_GIT_DIR}" push; then
exit 1
fi
dd if=/dev/zero of="${WORK_GIT_DIR}/data.bin" bs=1 count=32k
git -C "${WORK_GIT_DIR}" add data.bin
git -C "${WORK_GIT_DIR}" commit --message "Add binary file"
if git -C "${WORK_GIT_DIR}" push; then
exit 1
fi
echo
echo "Test passed!"
exit 0

View File

@@ -0,0 +1,41 @@
#!/bin/sh
# Test: add binary file that starts with Git LFS reference content.
#
# This test is expected to fail as it is actually a binary file.
set -e
SCRIPT=$(readlink -f "$0")
SCRIPT_PATH=$(dirname "$SCRIPT")
. ${SCRIPT_PATH}/functions
setup_temp_git_identity
ORIGIN_REPO_DIR=`setup_bare_origin_repository`
WORK_GIT_DIR=`clone_repository "${ORIGIN_REPO_DIR}"`
install_hook "${ORIGIN_REPO_DIR}" "${SCRIPT_PATH}/../../deny_binary" "pre-receive"
echo "Hello, World!" > "${WORK_GIT_DIR}/README.txt"
git -C "${WORK_GIT_DIR}" add README.txt
git -C "${WORK_GIT_DIR}" commit --message "Initial commit"
if ! git -C "${WORK_GIT_DIR}" push; then
exit 1
fi
echo "version https://git-lfs.github.com/spec/v1" > "${WORK_GIT_DIR}/data.bin"
echo "oid sha256:c35020473aed1b4642cd726cad727b63fff2824ad68cedd7ffb73c7cbd890479" >> "${WORK_GIT_DIR}/data.bin"
echo "size 32768" >> "${WORK_GIT_DIR}/data.bin"
dd if=/dev/zero of="${WORK_GIT_DIR}/data.bin" bs=1 count=32k oflag=append conv=notrunc
git -C "${WORK_GIT_DIR}" add data.bin
git -C "${WORK_GIT_DIR}" commit --message "Add binary file"
if git -C "${WORK_GIT_DIR}" push; then
exit 1
fi
echo
echo "Test passed!"
exit 0

View File

@@ -0,0 +1,29 @@
#!/bin/sh
# Test: Add binary file to an empty repository and push it by bypassing the hook.
#
set -e
SCRIPT=$(readlink -f "$0")
SCRIPT_PATH=$(dirname "$SCRIPT")
. ${SCRIPT_PATH}/functions
setup_temp_git_identity
ORIGIN_REPO_DIR=`setup_bare_origin_repository`
WORK_GIT_DIR=`clone_repository "${ORIGIN_REPO_DIR}"`
install_hook "${ORIGIN_REPO_DIR}" "${SCRIPT_PATH}/../../deny_binary" "pre-receive"
dd if=/dev/zero of="${WORK_GIT_DIR}/data.bin" bs=1 count=32k
git -C "${WORK_GIT_DIR}" add data.bin
git -C "${WORK_GIT_DIR}" commit --message "Initial commit, override restrictions"
if ! git -C "${WORK_GIT_DIR}" push; then
exit 1
fi
echo
echo "Test passed!"
exit 0

View File

@@ -0,0 +1,46 @@
#!/bin/sh
# Test: add binary file to the existing repository with proper LFS filters
# installed prior to adding a binary file.
#
# This test is expected to pass as it is an expected usage of Git LFS.
set -e
SCRIPT=$(readlink -f "$0")
SCRIPT_PATH=$(dirname "$SCRIPT")
. ${SCRIPT_PATH}/functions
setup_temp_git_identity
ORIGIN_REPO_DIR=`setup_bare_origin_repository`
WORK_GIT_DIR=`clone_repository "${ORIGIN_REPO_DIR}"`
install_hook "${ORIGIN_REPO_DIR}" "${SCRIPT_PATH}/../../deny_binary" "pre-receive"
echo "Hello, World!" > "${WORK_GIT_DIR}/README.txt"
git -C "${WORK_GIT_DIR}" add README.txt
git -C "${WORK_GIT_DIR}" commit --message "Initial commit"
if ! git -C "${WORK_GIT_DIR}" push; then
exit 1
fi
git -C "${WORK_GIT_DIR}" lfs install
git -C "${WORK_GIT_DIR}" lfs track "*.bin"
git -C "${WORK_GIT_DIR}" add .gitattributes
git -C "${WORK_GIT_DIR}" commit --message "Track .bin files with Git LFS"
if ! git -C "${WORK_GIT_DIR}" push; then
exit 1
fi
dd if=/dev/zero of="${WORK_GIT_DIR}/data.bin" bs=1 count=32k
git -C "${WORK_GIT_DIR}" add data.bin
git -C "${WORK_GIT_DIR}" commit --message "Add binary file"
if ! git -C "${WORK_GIT_DIR}" push; then
exit 1
fi
echo
echo "Test passed!"
exit 0

View File

@@ -0,0 +1,45 @@
#!/bin/sh
# Test: add binary file to the existing repository before LFS filters is
# configured, configure filter, and convert to LFS.
#
# This test is expected to fail as all new files after adding filter are
# supposed to be covered by Git LFS.
set -e
SCRIPT=$(readlink -f "$0")
SCRIPT_PATH=$(dirname "$SCRIPT")
. ${SCRIPT_PATH}/functions
setup_temp_git_identity
ORIGIN_REPO_DIR=`setup_bare_origin_repository`
WORK_GIT_DIR=`clone_repository "${ORIGIN_REPO_DIR}"`
install_hook "${ORIGIN_REPO_DIR}" "${SCRIPT_PATH}/../../deny_binary" "pre-receive"
echo "Hello, World!" > "${WORK_GIT_DIR}/README.txt"
git -C "${WORK_GIT_DIR}" add README.txt
git -C "${WORK_GIT_DIR}" commit --message "Initial commit"
if ! git -C "${WORK_GIT_DIR}" push; then
exit 1
fi
dd if=/dev/zero of="${WORK_GIT_DIR}/data.bin" bs=1 count=32k
git -C "${WORK_GIT_DIR}" add data.bin
git -C "${WORK_GIT_DIR}" commit --message "Add binary file"
git -C "${WORK_GIT_DIR}" lfs install
git -C "${WORK_GIT_DIR}" lfs track "*.bin"
git -C "${WORK_GIT_DIR}" add .gitattributes
git -C "${WORK_GIT_DIR}" commit --message "Track .bin files with Git LFS"
if git -C "${WORK_GIT_DIR}" push; then
exit 1
fi
echo
echo "Test passed!"
exit 0

View File

@@ -0,0 +1,53 @@
#!/bin/sh
# Test: Add filter and convert binary file to LFS on an existing repository.
#
# This test is expected to pass since it is perfectly nominal operation to do
# when dealing with legacy code base where binary files were added before LFS
# was configured, and when conversion is needed after the install of the deny
# hook.
set -e
SCRIPT=$(readlink -f "$0")
SCRIPT_PATH=$(dirname "$SCRIPT")
. ${SCRIPT_PATH}/functions
setup_temp_git_identity
ORIGIN_REPO_DIR=`setup_bare_origin_repository`
WORK_GIT_DIR=`clone_repository "${ORIGIN_REPO_DIR}"`
echo "Hello, World!" > "${WORK_GIT_DIR}/README.txt"
git -C "${WORK_GIT_DIR}" add README.txt
git -C "${WORK_GIT_DIR}" commit --message "Initial commit"
if ! git -C "${WORK_GIT_DIR}" push; then
exit 1
fi
dd if=/dev/zero of="${WORK_GIT_DIR}/data.bin" bs=1 count=32k
git -C "${WORK_GIT_DIR}" add data.bin
git -C "${WORK_GIT_DIR}" commit --message "Add binary file"
if ! git -C "${WORK_GIT_DIR}" push; then
exit 1
fi
install_hook "${ORIGIN_REPO_DIR}" "${SCRIPT_PATH}/../../deny_binary" "pre-receive"
git -C "${WORK_GIT_DIR}" lfs install
git -C "${WORK_GIT_DIR}" lfs track "*.bin"
git -C "${WORK_GIT_DIR}" add .gitattributes
git -C "${WORK_GIT_DIR}" commit --message "Track .bin files with Git LFS"
git -C "${WORK_GIT_DIR}" lfs migrate import --no-rewrite --yes data.bin
git -C "${WORK_GIT_DIR}" reset --soft HEAD~1
git -C "${WORK_GIT_DIR}" commit --amend --message "Track .bin files with Git LFS and convert existing file"
if ! git -C "${WORK_GIT_DIR}" push; then
exit 1
fi
echo
echo "Test passed!"
exit 0

View File

@@ -0,0 +1,45 @@
#!/bin/sh
# Test: Show rejected files correctly when moving binary files
#
# This test is expected to fail since the binary file is supposed
# to be covered by Git LFS. This test verifies the reject message
# for correctly parsing and displaying the file move.
set -e
SCRIPT=$(readlink -f "$0")
SCRIPT_PATH=$(dirname "$SCRIPT")
. ${SCRIPT_PATH}/functions
setup_temp_git_identity
ORIGIN_REPO_DIR=`setup_bare_origin_repository`
WORK_GIT_DIR=`clone_repository "${ORIGIN_REPO_DIR}"`
dd if=/dev/zero of="${WORK_GIT_DIR}/data.bin" bs=1 count=32k
git -C "${WORK_GIT_DIR}" add data.bin
git -C "${WORK_GIT_DIR}" commit --message "Initial commit"
if ! git -C "${WORK_GIT_DIR}" push; then
exit 1
fi
install_hook "${ORIGIN_REPO_DIR}" "${SCRIPT_PATH}/../../deny_binary" "pre-receive"
mkdir -p "${WORK_GIT_DIR}/bindata"
git -C "${WORK_GIT_DIR}" mv data.bin bindata/data.bin
git -C "${WORK_GIT_DIR}" commit --message "Move binary file"
set +e
PUSH_OUTPUT=$(git -C "${WORK_GIT_DIR}" push 2>&1)
PUSH_STATUS=$?
set -e
if [ "${PUSH_STATUS}" -eq 0 ] || echo "${PUSH_OUTPUT}" | grep -q "fatal:"; then
exit 1
fi
echo
echo "Test passed!"
exit 0

View File

@@ -0,0 +1,50 @@
#!/bin/sh
# Test: Ensure that we don't iterate over legacy files when branching
#
# Ensure that we don't iterate over legacy commits when pushing new branches
set -e
SCRIPT=$(readlink -f "$0")
SCRIPT_PATH=$(dirname "$SCRIPT")
. ${SCRIPT_PATH}/functions
setup_temp_git_identity
ORIGIN_REPO_DIR=`setup_bare_origin_repository`
WORK_GIT_DIR=`clone_repository "${ORIGIN_REPO_DIR}"`
dd if=/dev/zero of="${WORK_GIT_DIR}/data.bin" bs=1 count=32k
git -C "${WORK_GIT_DIR}" add data.bin
git -C "${WORK_GIT_DIR}" commit --message "Initial commit"
if ! git -C "${WORK_GIT_DIR}" push; then
exit 1
fi
install_hook "${ORIGIN_REPO_DIR}" "${SCRIPT_PATH}/../../deny_binary" "pre-receive"
git -C "${WORK_GIT_DIR}" lfs install
git -C "${WORK_GIT_DIR}" lfs track "*.bin"
git -C "${WORK_GIT_DIR}" add .gitattributes
touch "${WORK_GIT_DIR}/data.bin"
git -C "${WORK_GIT_DIR}" commit --message "Track .bin files with Git LFS"
if ! git -C "${WORK_GIT_DIR}" push; then
exit 1
fi
git -C "${WORK_GIT_DIR}" branch new_branch
git -C "${WORK_GIT_DIR}" switch new_branch
touch "${WORK_GIT_DIR}/text_file"
git -C "${WORK_GIT_DIR}" add text_file
git -C "${WORK_GIT_DIR}" commit --message "Add regular text file"
if ! git -C "${WORK_GIT_DIR}" push --set-upstream origin new_branch; then
exit 1
fi
echo
echo "Test passed!"
exit 0

View File

@@ -0,0 +1,47 @@
# Set up temp Git identity if none is set
setup_temp_git_identity() {
export GIT_AUTHOR_NAME="Test User"
export GIT_AUTHOR_EMAIL="tests@example.com"
export GIT_COMMITTER_NAME="Test User"
export GIT_COMMITTER_EMAIL="tests@example.com"
}
# Get temporary directory where test data will be generated.
# The function echo's the directory.
get_tmp_dir() {
local SCRIPT=$(readlink -f "$0")
local SCRIPT_PATH=$(dirname "$SCRIPT")
echo "$(dirname ${0})/tmp/$(basename "${SCRIPT%.*}")"
}
# Setup bare repository which could be used as a server-side upstream.
# The function echo's the path to the repository.
setup_bare_origin_repository() {
local TMP_DIR=`get_tmp_dir`
local REPO_DIR="${TMP_DIR}/origin/test-repo.git"
rm -rf "${REPO_DIR}"
mkdir -p "${REPO_DIR}"
git -C "${REPO_DIR}" init --bare --initial-branch=main > /dev/null 2>&1
echo "${REPO_DIR}"
}
# Install hook to the given bare repository.
# The bare git repository is provided as $1, hook script is provided as $2,
# and the hook name is provided as $3.
install_hook() {
local GIT_DIR="${1}"
local HOOK_SCRIPT="${2}"
local HOOK_NAME="${3}"
cp "${HOOK_SCRIPT}" "${GIT_DIR}/hooks/${HOOK_NAME}"
}
# Clone repository provided via $1. The path to the working directory is
# echo'd.
clone_repository() {
local TMP_DIR=`get_tmp_dir`
local WORK_GIT_DIR="${TMP_DIR}/checkout/test-repo"
rm -rf "${WORK_GIT_DIR}"
git clone "${1}" "${WORK_GIT_DIR}" > /dev/null 2>&1
echo "${WORK_GIT_DIR}"
}

View File

@@ -0,0 +1,11 @@
#!/bin/sh
set -e
SCRIPT=$(readlink -f "$0")
SCRIPT_PATH=$(dirname "$SCRIPT")
. "${SCRIPT_PATH}/common/functions"
run_tests_in_directory "${SCRIPT_PATH}/deny_binary"
rm -rf "${SCRIPT_PATH}/deny_binary/tmp"

View File

@@ -158,7 +158,7 @@
--color-active: hsla(213, 18%, 90%, .1);
--color-menu: hsl(213, 12%, 21%);
--color-card: transparent;
--color-card: #202327;
--color-markup-table-row: hsla(0, 0%, 100%, 0);
--color-markup-code-block: hsla(0, 0%, 100%, 0.1);
@@ -214,6 +214,9 @@
--color-footer: hsl(213, 14.8%, 21%);
--color-footer-text: var(--color-text-light-3);
--color-footer-links: var(--color-text-light-1);
/* Color aliases. */
--color-accent: var(--color-primary);
}
/* Custom styling of individual elements.
@@ -517,3 +520,17 @@ a.ui.primary.label:hover,
.CodeMirror.cm-s-default .cm-error, .CodeMirror.cm-s-paper .cm-error {
color: #dbdbeb;
}
/* Progress bar. */
progress::-moz-progress-bar,
progress::-webkit-progress-value {
background-color: var(--color-primary);
}
.issue-list-toolbar-left a.item {
opacity: 50%;
}
.issue-list-toolbar-left a.active.item {
opacity: 100%;
}

View File

@@ -11,7 +11,7 @@
<li><a href="{{AppSubUrl}}/blender/blender/wiki/Module: Modeling">Modeling</a></li>
<li><a href="{{AppSubUrl}}/blender/blender/wiki/Module: Nodes & Physics">Nodes & Physics</a></li>
<li><a href="{{AppSubUrl}}/blender/blender/wiki/Module: Pipeline & I/O">Pipeline & I/O</a></li>
<li><a href="{{AppSubUrl}}/blender/blender/wiki/Module: Platforms, Builds, Tests & Devices">Platforms, Builds, Tests & Devices</a></li>
<li><a href="{{AppSubUrl}}/blender/blender/wiki/Module: Platforms & Builds">Platforms & Builds</a></li>
<li>
Python & Add-ons
<ul>

View File

@@ -30,35 +30,79 @@
<tbody>
<tr>
<td>
<a href="{{AppSubUrl}}/blender/blender/projects/30">Brush Assets</a>
<a href="{{AppSubUrl}}/studio/flamenco/issues/104437">Blender Asset Tracer</a>
</td>
<td>
Unified, flexible brush management.
BAT version 2 for Flamenco
</td>
<td>
<a href="https://devtalk.blender.org/t/brush-assets-prototype-feedback/33568">Feedback Wanted</a>
<a href="{{AppSubUrl}}/studio/flamenco/issues/104437">Under Development</a>
</td>
</tr>
<tr>
<td>
<a href="https://projects.blender.org/blender/blender/projects/6">Grease Pencil v3</a>
<a href="{{AppSubUrl}}/blender/blender/issues/141609">Hair Dynamics</a>
</td>
<td>
Improved workflows for 2D design and animation.
High quality hair dynamics modifier.
</td>
<td>
<a href="https://projects.blender.org/blender/blender/projects/6">Under Development</a>
<a href="{{AppSubUrl}}/blender/blender/issues/141609">Under Development</a>
</td>
</tr>
<tr>
<td>
<a href="https://developer.blender.org/docs/features/animation/animation_system/baklava/">Layered Animation</a>
<a href="{{AppSubUrl}}/blender/blender/issues/153880">Modeling: Looptools</a>
</td>
<td>
Part of the new animation system roadmap.
Porting Looptools into core Blender.
</td>
<td>
<a href="https://devtalk.blender.org/tag/animation-rigging">Under Development</a>
<a href="{{AppSubUrl}}/blender/blender/issues/153880">Under Development</a>
</td>
</tr>
<tr>
<td>
<a href="{{AppSubUrl}}/blender/blender/issues/133001">Project Setup</a>
</td>
<td>
Shared "project" environment for different blend-files.
</td>
<td>
<a href="{{AppSubUrl}}/blender/blender/issues/133001">Under Development</a>
</td>
</tr>
<tr>
<td>
<a href="{{AppSubUrl}}/blender/blender/issues/134495">Remote Asset Libraries</a>
</td>
<td>
Add support for online / remote hosted asset libraries.
</td>
<td>
<a href="{{AppSubUrl}}/blender/blender/projects/707">Under Development</a>
</td>
</tr>
<tr>
<td>
<a href="{{AppSubUrl}}/blender/blender/issues/141089">VR Location Scouting</a>
</td>
<td>
Support blocking camera vantage points while immersed in VR (Virtual Reality)
</td>
<td>
<a href="{{AppSubUrl}}/blender/blender/issues/141089">Under Development</a>
</td>
</tr>
<tr>
<td>
<a href="{{AppSubUrl}}/blender/blender/issues/148059">VSE: Compositor Modifier</a>
</td>
<td>
Implement a compositor modifier in the Video Sequencer.
</td>
<td>
<a href="{{AppSubUrl}}/blender/blender/issues/148059">Under Development</a>
</td>
</tr>
</tbody>

View File

@@ -6,21 +6,21 @@
<div class="description">
<ul>
<li>
<a href="{{AppSubUrl}}/blender/blender/milestone/24">Blender 4.4</a>
<a href="{{AppSubUrl}}/blender/blender/milestone/33">Blender 5.2 LTS</a>
— <strong>Alpha</strong>: New features and changes
</li>
<li>
<a href="{{AppSubUrl}}/blender/blender/milestone/21">Blender 4.3</a>
— Released Nov 19, 2024
<a href="{{AppSubUrl}}/blender/blender/milestone/32">Blender 5.1</a>
— Released March 17, 2026
</li>
<li>
<a href="{{AppSubUrl}}/blender/blender/milestone/25">Blender 4.5 LTS</a>
— Released July 15, 2025
</li>
<li>
<a href="{{AppSubUrl}}/blender/blender/milestone/19">Blender 4.2 LTS</a>
— Released Jul 16, 2024
</li>
<li>
<a href="{{AppSubUrl}}/blender/blender/milestone/5">Blender 3.6 LTS</a>
— Released Jun 27, 2023
</li>
</ul>
</div>
</div>

View File

@@ -562,7 +562,7 @@
<ul class="nav-global-nav-links nav-global-dropdown" id="nav-global-nav-links">
<li>
<a href="https://projects.blender.org" class="is-active">Projects</a>
<a href="/" class="is-active">Projects</a>
</li>
<li>
<a href="https://developer.blender.org/docs/">Docs</a>

View File

@@ -25,7 +25,7 @@
<a class="item" href="{{AppSubUrl}}/blender/blender/wiki/Module: Modeling">Modeling</a>
<a class="item" href="{{AppSubUrl}}/blender/blender/wiki/Module: Nodes & Physics">Nodes & Physics</a>
<a class="item" href="{{AppSubUrl}}/blender/blender/wiki/Module: Pipeline & I/O">Pipeline & I/O</a>
<a class="item" href="{{AppSubUrl}}/blender/blender/wiki/Module: Platforms, Builds, Tests & Devices">Platforms, Builds, Tests & Devices</a>
<a class="item" href="{{AppSubUrl}}/blender/blender/wiki/Module: Platforms & Builds">Platforms & Builds</a>
<a class="item" href="{{AppSubUrl}}/blender/blender/wiki/Module: Python API & Text Editor">Python API & Text Editor</a>
<a class="item" href="{{AppSubUrl}}/blender/blender/wiki/Module: Sculpt, Paint & Texture">Sculpt, Paint & Texture</a>
<a class="item" href="{{AppSubUrl}}/blender/blender/wiki/Module: Triaging">Triaging</a>
@@ -39,4 +39,5 @@
</div>
</div>
<a class="item" href="{{AppSubUrl}}/blender/blender/issues/new?template=.gitea%2fissue_template%2fbug.yaml">Report a Bug</a>
<a class="item hide-on-mid" href="{{AppSubUrl}}/blender/blender/issues/new?template=.gitea%2fissue_template%2fbug.yaml">Report a Bug</a>
<a class="item hide-on-mid" href="{{AppSubUrl}}/paste/">Paste Code</a>

View File

@@ -29,6 +29,12 @@
border-radius: 50%;
}
/* Emoji. */
.markup .emoji {
margin-right: .075em;
vertical-align: -.075em;
}
/* Hide the app logo (first link in "brand" div). */
.following.bar #navbar .brand > a:first-child {
display: none;
@@ -39,6 +45,13 @@
color: var(--color-text-light-3);
}
/* Markup. */
/* Slight highlight on strong and heading elements, to improve readability. */
.markup strong,
.markup h1, .markup h2, .markup h3, .markup h4, .markup h5, .markup h6 {
color: var(--color-text-dark);
}
/* Homepage. */
/* By default Gitea colors links green */
.home a {
@@ -57,6 +70,12 @@
display: none;
}
@media (max-width: 1000px) {
.hide-on-mid {
display: none !important;
}
}
/* Repository page. */
.repository .file-view.markdown a {
color: var(--color-primary);
@@ -168,6 +187,34 @@
strong.attention-caution, span.attention-caution {
color: var(--color-red-dark-1);
}
/* Make Navbar dropdown item left-aligned. Needed from Chromium v133.x. */
#navbar .dropdown .item {
justify-content: flex-start;
}
/* User badges */
.user-badges {
/* Some rules override Gitea defaults. */
display: flex;
flex-wrap: wrap;
justify-content: center;
gap: 16px; /* --spacer */
padding: 0;
width: 100%;
}
.user-badges li {
list-style: none;
}
form[action="/blender/blender/issues/new"] {
--min-height-textarea: 300px;
}
form[action="/blender/blender/issues/new"] .combo-markdown-editor textarea.markdown-text-editor {
max-height: calc(100vh - 132px) !important;
}
</style>
<script defer data-domain="projects.blender.org" src="https://analytics.blender.org/js/script.js"></script>